From eff9041993e5f85bbd4498c07d20eeff9064467d Mon Sep 17 00:00:00 2001
From: Aruna <aruna@multicorewareinc.com>
Date: Mon, 6 Jul 2020 19:16:18 +0530
Subject: [PATCH] Fix libvmaf integration issues

1. Updates the search path of libvmaf.h
2. Fix incorrect argument in vmaf_encoder_log() API
---
 source/abrEncApp.cpp   | 2 +-
 source/encoder/api.cpp | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/source/abrEncApp.cpp b/source/abrEncApp.cpp
index 1205a83cd..4079fe3a2 100644
--- a/source/abrEncApp.cpp
+++ b/source/abrEncApp.cpp
@@ -814,7 +814,7 @@ ret:
             api->encoder_get_stats(m_encoder, &stats, sizeof(stats));
             if (m_param->csvfn && !b_ctrl_c)
 #if ENABLE_LIBVMAF
-                api->vmaf_encoder_log(m_encoder, m_cliopt.argCount, m_cliopt.argString, m_cliopt.param, vmafdata);
+                api->vmaf_encoder_log(m_encoder, m_cliopt.argCnt, m_cliopt.argString, m_cliopt.param, vmafdata);
 #else
                 api->encoder_log(m_encoder, m_cliopt.argCnt, m_cliopt.argString);
 #endif
diff --git a/source/encoder/api.cpp b/source/encoder/api.cpp
index 6413e4ea0..a986355e0 100644
--- a/source/encoder/api.cpp
+++ b/source/encoder/api.cpp
@@ -33,7 +33,7 @@
 #include "svt.h"
 
 #if ENABLE_LIBVMAF
-#include "libvmaf.h"
+#include "libvmaf/libvmaf.h"
 #endif
 
 /* multilib namespace reflectors */
-- 
2.20.1.windows.1

